%define anolis_release 1
%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           yelp-xsl
Version:        42.1
Release:        %{anolis_release}%{?dist}
Summary:        XSL stylesheets for the yelp help browser

License:        LGPLv2+ and GPLv2+
URL:            https://download.gnome.org/sources/yelp-xsl
Source0:        https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz
BuildArch:      noarch

BuildRequires:  gcc
BuildRequires:  itstool
BuildRequires:  make
BuildRequires:  python3-libxml2
BuildRequires:  /usr/bin/ducktype
BuildRequires:  /usr/bin/xmllint
BuildRequires:  /usr/bin/xsltproc

%description
This package contains XSL stylesheets that are used by the yelp help browser.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Developer documentation for yelp-xsl
Requires: %{name} = %{version}-%{release}

%description devel
The yelp-xsl-devel package contains developer documentation for the
XSL stylesheets in yelp-xsl.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%configure --enable-doc
%make_build


%install
%make_install


%files
%license COPYING COPYING.GPL COPYING.LGPL
%{_datadir}/yelp-xsl

%files devel
%{_datadir}/pkgconfig/yelp-xsl.pc

%files doc
%doc README.md AUTHORS

%changelog
* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 42.1-1
- New version 42.1

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 42.0-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.0-1
- init from upstream
